Create a Classification
Creates a Classification
POST
/
api
/
v2
/
platform
/
classifications
Create a Classification
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({classification: {product_id: '1', taxon_id: '1', position: 1}})
};
fetch('http://{defaultHost}/api/v2/platform/classifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url http://{defaultHost}/api/v2/platform/classifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"classification": {
"product_id": "1",
"taxon_id": "1",
"position": 1
}
}
'{
"data": {
"id": "5",
"type": "classification",
"attributes": {
"position": 1,
"created_at": "2022-11-08T19:33:58.099Z",
"updated_at": "2022-11-08T19:33:58.099Z"
},
"relationships": {
"product": {
"data": {
"id": "13",
"type": "product"
}
},
"taxon": {
"data": {
"id": "10",
"type": "taxon"
}
}
}
}
}{
"error": "Taxon can't be blank and Product can't be blank",
"errors": {
"taxon": [
"can't be blank"
],
"product": [
"can't be blank"
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Select which associated resources you would like to fetch, see: https://jsonapi.org/format/#fetching-includes
Body
application/json
Show child attributes
Show child attributes
Response
Record created
Show child attributes
Show child attributes
Was this page helpful?
Create a Classification
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({classification: {product_id: '1', taxon_id: '1', position: 1}})
};
fetch('http://{defaultHost}/api/v2/platform/classifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url http://{defaultHost}/api/v2/platform/classifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"classification": {
"product_id": "1",
"taxon_id": "1",
"position": 1
}
}
'{
"data": {
"id": "5",
"type": "classification",
"attributes": {
"position": 1,
"created_at": "2022-11-08T19:33:58.099Z",
"updated_at": "2022-11-08T19:33:58.099Z"
},
"relationships": {
"product": {
"data": {
"id": "13",
"type": "product"
}
},
"taxon": {
"data": {
"id": "10",
"type": "taxon"
}
}
}
}
}{
"error": "Taxon can't be blank and Product can't be blank",
"errors": {
"taxon": [
"can't be blank"
],
"product": [
"can't be blank"
]
}
}
